{% load crispy_forms_tags %}

<!DOCTYPE html>
<html lang="en">

<head>
  <title>Email Attachment - Django and Python</title>
  <!-- Bootstrap core CSS -->
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>

  <!-- Page Content -->
  <div class="container">
    <div class="row">
      <div class="col-lg-10">
        <h1 class="mt-5 mb-3">Django Email Attachment</h1>

          {% if error_message %}
          <div class="alert alert-primary" role="alert">
            {{error_message}}
          </div>
          {% endif %}

          {% if email_form %}
          <form method="POST" action ="" enctype="multipart/form-data">
            {% csrf_token %}
            {{email_form|crispy}}
          <button type="submit" class="btn btn-primary">Send Email</button>
          </form>
          {% endif %}

      </div>
    </div>
  </div>

  <!-- Bootstrap core JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.slim.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <script type="text/javascript">
          Raven.config('https://8277b5311aec4705b33d389b41318656@o491805.ingest.sentry.io/5557979').install();
        window.onerror = Raven.process;
      </script>

</body>

</html>